# Froala WYSIWYG Editor Node.JS SDK

[![npm](https://img.shields.io/npm/v/wysiwyg-editor-node-sdk.svg)](https://www.npmjs.com/package/wysiwyg-editor-node-sdk)
[![npm](https://img.shields.io/npm/dm/wysiwyg-editor-node-sdk.svg)](https://www.npmjs.com/package/wysiwyg-editor-node-sdk)
[![npm](https://img.shields.io/npm/l/wysiwyg-editor-node-sdk.svg)](https://www.npmjs.com/package/wysiwyg-editor-node-sdk)

Easing the [Froala WYSIWYG HTML Editor](https://github.com/froala/wysiwyg-editor) server side integration in Node.JS projects.

## Prerequisite
1. ImageMagick must be installed.

## Installation

1. Clone this repo or download the zip.

2. Run `npm install`.

3. (Optional) Run `bower install` to install the editor JS.

3. Load `lib` directory in your project and import it: `var FroalaEditor = require('path/to/lib/froalaEditor.js');`

4. To run examples:
* `npm start` to start a nodejs server form `examples` directory at `http://localhost:3000/`

## Import lib
```javascript
var FroalaEditor = require('path/to/lib/froalaEditor.js');
```

## Documentation

 * [Official documentation](https://www.froala.com/wysiwyg-editor/docs/sdks/nodejs)

## Help
- Found a bug or have some suggestions? Just submit an issue.
- Having trouble with your integration? [Contact Froala Support team](http://froala.dev/wysiwyg-editor/contact).


## License

The Froala WYSIWYG Editor Node.JS SDK is licensed under MIT license. However, in order to use Froala WYSIWYG HTML Editor plugin you should purchase a license for it.

Froala Editor has [3 different licenses](http://froala.com/wysiwyg-editor/pricing) for commercial use.
For details please see [License Agreement](http://froala.com/wysiwyg-editor/terms).


